Page MenuHomePhabricator

Update gerrit to 2.13.3
Closed, ResolvedPublic

Description

See:

please.

Admins can now set the default preference settings.

You can remove votes without removing the reviewer now.

It fixes an issue with editing submodules in the inline edit

You can now turn of emails through the preference. (This is per user)

You can set in the gerrit config file a fail safe user for if you accidentally remove administrateServer permissions on all the users in that group. Can be handy just in case.

It also includes the new unified diff screen.

It also fixes commenting on mobile devices and tablets with touch screens.

previous T143089: Update gerrit to 2.12.5

Event Timeline

Paladox created this task.Sep 22 2016, 7:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2016, 7:54 AM
Aklapper triaged this task as Low priority.Sep 22 2016, 11:03 AM
hashar removed a project: Operations.
hashar updated the task description. (Show Details)
Paladox renamed this task from Update gerrit to 2.13 to Update gerrit to 2.13.1.Sep 23 2016, 2:56 PM
Paladox updated the task description. (Show Details)
Paladox updated the task description. (Show Details)Sep 23 2016, 3:07 PM
Paladox updated the task description. (Show Details)Oct 12 2016, 8:04 AM
Paladox renamed this task from Update gerrit to 2.13.1 to Update gerrit to 2.13.2.Oct 24 2016, 9:02 PM
Paladox updated the task description. (Show Details)
Paladox renamed this task from Update gerrit to 2.13.2 to Update gerrit to 2.13.3.Nov 25 2016, 12:54 AM
Paladox updated the task description. (Show Details)
Paladox updated the task description. (Show Details)

To upgrade from gerrit 2.12. to 2.13 we need to have at least gerrit 2.13.3 due to bugs that will prevent upgrading gerrit 2.12.x to gerrit 2.13.2.

demon added a comment.Nov 25 2016, 2:03 AM

To upgrade from gerrit 2.12. to 2.13 we need to have at least gerrit 2.13.3 due to bugs that will prevent upgrading gerrit 2.12.x to gerrit 2.13.2.

Might as well use 2.13.3 anyway, but it's not a real blocker.

Change 323545 had a related patch set uploaded (by Chad):
gerrit (2.13.3-wmf.1) jessie-wikimedia; urgency=low

https://gerrit.wikimedia.org/r/323545

Paladox raised the priority of this task from Low to Normal.Nov 26 2016, 2:17 PM

Raising priority to normal as we will be updating very soon.

Paladox raised the priority of this task from Normal to High.Nov 26 2016, 2:37 PM

Raising to high pri as this T151676 should make this a priority to fix. I doint know 100% that updating to 2.13 will fix it, but jgit 4.3.1 looks promising.

@demon could you lower this if you disagree please. I'm just raising pri for now.

The logs provided by @ArielGlenn seems to confirm that the fix in jgit 4.3.1 will fix it for us as a602a8b2400730a8d9a0d20b79bfb55ec0de4d86 is an abandoned commit so if I am correct a602a8b2400730a8d9a0d20b79bfb55ec0de4d86 is a loose object which would be removed but with the fix it should be kept.

Change 323545 merged by Filippo Giunchedi:
gerrit (2.13.3-wmf.1) jessie-wikimedia; urgency=low

https://gerrit.wikimedia.org/r/323545

Note: That the update to gerrit 2.13 will make some changes to the gitweb links.

  1. parent links no longer have links, it was intentional but I have brought this to upstream attention and are willing to allow it to be supported again but in a future update. I doint know if they will backport that to stable-2.13 though.
  1. the project access links are broken, see https://bugs.chromium.org/p/gerrit/issues/detail?id=4909

I managed to fix project access links in https://gerrit-review.googlesource.com/#/c/92620/ (waiting for it to be merged and then I will get it backported) :)

That patch was abandoned in favour of https://gerrit-review.googlesource.com/#/c/92645/ since it is cherry-picked to stable-2.13 then will be merged into master.

It was merged and will be released when gerrit 2.13.4 is released.

Ah, it looks like a new exclusiveGroupPermissions = read is added in project.config in refs/meta/config so it will hide the access link, it can be removed which I did and it worked.

demon closed this task as Resolved.Dec 7 2016, 8:52 PM
demon claimed this task.